package com.inkasso.factoring.financingmanagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.inkasso.adapter.bean.BaseBean;
import com.inkasso.factoring.creditmanagement.entity.Enterprise;
import com.inkasso.factoring.electronicSignature.entity.ElectronicSignaturePersonal;
import com.inkasso.factoring.tradingPlatform.entity.Platform;

import java.util.Date;

/**
 * <p>
 * 合同电子签信息客户信息
 * </p>
 *
 * @author liutao
 * @since 2022-06-29
 */
public class ContractElectronicCustomerInfo extends BaseBean {

    private static final long serialVersionUID = 1L;

    /**
     * 合同电子签信息ID
     */
    private Long contractElectronicInfoId;

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 客户合同交易id
     */
    private String transactionId;

    /**
     * 客户合同链接
     */
    private String contractLink;

    /**
     * 客户合同链接短连接
     */
    private String shortContractLink;

    /**
     * 短连接的生成日期
     */
    private Date shortContractLinkCreate;

    /**
     * 客户签署状态
     */
    private Boolean signStatus;

    /**
     * 合同电子签企业信息管理表ID
     */
    private Long sysCustomerId;

    /**
     * 签署关键字
     */
    private String keyword;
    /**
     * 合同
     */
    private Long fileId;

    /**
     * 出证文件
     */
    private Long reportFileId;

    /**
     * 电子签法大大信息
     */
    @TableField(exist = false)
    public SysCustomer sysCustomer;

    /**
     * 企业信息
     */
    @TableField(exist = false)
    public Enterprise enterprise;

//    @TableField(exist = false)
//    public ElectronicPersonInfo electronicPersonInfo;

    @TableField(exist = false)
    public ElectronicSignaturePersonal electronicSignaturePersonal;

    @TableField(exist = false)
    private Platform platform;

    public Long getContractElectronicInfoId() {
        return contractElectronicInfoId;
    }

    public void setContractElectronicInfoId(Long contractElectronicInfoId) {
        this.contractElectronicInfoId = contractElectronicInfoId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getContractLink() {
        return contractLink;
    }

    public void setContractLink(String contractLink) {
        this.contractLink = contractLink;
    }

    public String getShortContractLink() {
        return shortContractLink;
    }

    public void setShortContractLink(String shortContractLink) {
        this.shortContractLink = shortContractLink;
    }

    public Date getShortContractLinkCreate() {
        return shortContractLinkCreate;
    }

    public void setShortContractLinkCreate(Date shortContractLinkCreate) {
        this.shortContractLinkCreate = shortContractLinkCreate;
    }

    public Boolean getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Boolean signStatus) {
        this.signStatus = signStatus;
    }

    public Long getSysCustomerId() {
        return sysCustomerId;
    }

    public void setSysCustomerId(Long sysCustomerId) {
        this.sysCustomerId = sysCustomerId;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public Long getReportFileId() {
        return reportFileId;
    }

    public void setReportFileId(Long reportFileId) {
        this.reportFileId = reportFileId;
    }

    public Enterprise getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(Enterprise enterprise) {
        this.enterprise = enterprise;
    }

    public ElectronicSignaturePersonal getElectronicSignaturePersonal() {
        return electronicSignaturePersonal;
    }

    public void setElectronicSignaturePersonal(ElectronicSignaturePersonal electronicSignaturePersonal) {
        this.electronicSignaturePersonal = electronicSignaturePersonal;
    }

    public Platform getPlatform() {
        return platform;
    }

    public void setPlatform(Platform platform) {
        this.platform = platform;
    }

    public SysCustomer getSysCustomer() {
        return sysCustomer;
    }

    public void setSysCustomer(SysCustomer sysCustomer) {
        this.sysCustomer = sysCustomer;
    }
}
